//////////////////////////////////////////
//
// NOTE: This is *not* a valid shader file
//
///////////////////////////////////////////
Shader "Hidden/Nature/Tree Creator Normal Rendertex" {
    Properties {
        _TranslucencyColor ("Translucency Color", Color) = (0.73,0.85,0.41,1)
        _Cutoff ("Alpha cutoff", Range(0, 1)) = 0.5
        _HalfOverCutoff ("0.5 / alpha cutoff", Range(0, 1)) = 1
        _TranslucencyViewDependency ("View dependency", Range(0, 1)) = 0.7
        _MainTex ("Base (RGB) Alpha (A)", 2D) = "white" { }
        _BumpSpecMap ("Normalmap (GA) Spec (R) Shadow Offset (B)", 2D) = "bump" { }
        _TranslucencyMap ("Trans (B) Gloss(A)", 2D) = "white" { }
    }
    SubShader {
        Pass {
            GpuProgramID 28075
            PlayerProgram "vp" {
                SubProgram "gles3 " {
                    "#ifdef VERTEX
                    #version 300 es
                    
                    #define HLSLCC_ENABLE_UNIFORM_BUFFERS 1
                    #if HLSLCC_ENABLE_UNIFORM_BUFFERS
                    #define UNITY_UNIFORM
                    #else
                    #define UNITY_UNIFORM uniform
                    #endif
                    #define UNITY_SUPPORTS_UNIFORM_LOCATION 1
                    #if UNITY_SUPPORTS_UNIFORM_LOCATION
                    #define UNITY_LOCATION(x) layout(location = x)
                    #define UNITY_BINDING(x) layout(binding = x, std140)
                    #else
                    #define UNITY_LOCATION(x)
                    #define UNITY_BINDING(x) layout(std140)
                    #endif
                    uniform 	vec4 hlslcc_mtx4x4unity_ObjectToWorld[4];
                    uniform 	vec4 hlslcc_mtx4x4unity_MatrixVP[4];
                    in highp vec4 in_POSITION0;
                    in highp vec3 in_NORMAL0;
                    in highp vec4 in_TEXCOORD0;
                    in mediump vec4 in_COLOR0;
                    out highp vec2 vs_TEXCOORD0;
                    out highp vec3 vs_TEXCOORD1;
                    out highp vec3 vs_TEXCOORD2;
                    vec4 u_xlat0;
                    vec4 u_xlat1;
                    void main()
                    {
                        u_xlat0 = in_POSITION0.yyyy * hlslcc_mtx4x4unity_ObjectToWorld[1];
                        u_xlat0 = hlslcc_mtx4x4unity_ObjectToWorld[0] * in_POSITION0.xxxx + u_xlat0;
                        u_xlat0 = hlslcc_mtx4x4unity_ObjectToWorld[2] * in_POSITION0.zzzz + u_xlat0;
                        u_xlat0 = u_xlat0 + hlslcc_mtx4x4unity_ObjectToWorld[3];
                        u_xlat1 = u_xlat0.yyyy * hlslcc_mtx4x4unity_MatrixVP[1];
                        u_xlat1 = hlslcc_mtx4x4unity_MatrixVP[0] * u_xlat0.xxxx + u_xlat1;
                        u_xlat1 = hlslcc_mtx4x4unity_MatrixVP[2] * u_xlat0.zzzz + u_xlat1;
                        gl_Position = hlslcc_mtx4x4unity_MatrixVP[3] * u_xlat0.wwww + u_xlat1;
                        vs_TEXCOORD0.xy = in_TEXCOORD0.xy;
                        vs_TEXCOORD1.xyz = in_COLOR0.www;
                        vs_TEXCOORD2.xyz = in_NORMAL0.xyz;
                        return;
                    }
                    
                    #endif
                    #ifdef FRAGMENT
                    #version 300 es
                    
                    precision highp float;
                    precision highp int;
                    #define HLSLCC_ENABLE_UNIFORM_BUFFERS 1
                    #if HLSLCC_ENABLE_UNIFORM_BUFFERS
                    #define UNITY_UNIFORM
                    #else
                    #define UNITY_UNIFORM uniform
                    #endif
                    #define UNITY_SUPPORTS_UNIFORM_LOCATION 1
                    #if UNITY_SUPPORTS_UNIFORM_LOCATION
                    #define UNITY_LOCATION(x) layout(location = x)
                    #define UNITY_BINDING(x) layout(binding = x, std140)
                    #else
                    #define UNITY_LOCATION(x)
                    #define UNITY_BINDING(x) layout(std140)
                    #endif
                    uniform 	mediump float _Cutoff;
                    UNITY_LOCATION(0) uniform mediump sampler2D _MainTex;
                    in highp vec2 vs_TEXCOORD0;
                    in highp vec3 vs_TEXCOORD2;
                    layout(location = 0) out mediump vec4 SV_Target0;
                    vec3 u_xlat0;
                    bool u_xlatb0;
                    mediump float u_xlat16_1;
                    void main()
                    {
                        u_xlat0.x = texture(_MainTex, vs_TEXCOORD0.xy).w;
                        u_xlat16_1 = u_xlat0.x + (-_Cutoff);
                        u_xlatb0 = u_xlat16_1<0.0;
                        if(u_xlatb0){discard;}
                        u_xlat0.x = dot(vs_TEXCOORD2.xyz, vs_TEXCOORD2.xyz);
                        u_xlat0.x = inversesqrt(u_xlat0.x);
                        u_xlat0.xyz = u_xlat0.xxx * vs_TEXCOORD2.xyz;
                        SV_Target0.xyz = u_xlat0.xyz;
                        SV_Target0.w = 0.0;
                        return;
                    }
                    
                    #endif
                    "
                }
            }
        }
    }
}